GeoTessCPP: geotess::GeoTessHorizonLayer Class Reference

GeoTessCPP 2.2.3 Software to facilitate storage and retrieval of 3D information about the Earth.

Public Member Functions | List of all members
geotess::GeoTessHorizonLayer Class Reference

Defines a "surface" in a model that resides at a constant fractional radius within a specified layer. More...

`#include <GeoTessHorizonLayer.h>`

Inheritance diagram for geotess::GeoTessHorizonLayer:

## Public Member Functions
| GeoTessHorizonLayer (const double &fractionalPosition, const int &lyrIndex)
| GeoTessHorizonLayer (GeoTessHorizonLayer &other)
GeoTessHorizonLayer & | operator= (const GeoTessHorizonLayer &other)
virtual | ~GeoTessHorizonLayer ()
virtual double | getValue ()
virtual double | getRadius (const double *position, GeoTessProfile **profiles)
virtual string | class_name ()
virtual double | getRadius (GeoTessPosition &position)
virtual string | str ()
Public Member Functions inherited from geotess::GeoTessHorizon
| GeoTessHorizon (const int &lyrIndex)
virtual | ~GeoTessHorizon ()
virtual int | getLayerIndex ()

## Additional Inherited Members
Protected Attributes inherited from geotess::GeoTessHorizon
int | layerIndex

## Detailed Description

Defines a "surface" in a model that resides at a constant fractional radius within a specified layer.

Defines a "surface" in a model that resides at a constant fractional radius within a specified layer.

Author
  sballar

Definition at line 75 of file GeoTessHorizonLayer.h.

## Constructor & Destructor Documentation

## ◆ GeoTessHorizonLayer() [1/2]

geotess::GeoTessHorizonLayer::GeoTessHorizonLayer | ( | const double & | fractionalPosition,
|  | const int & | lyrIndex
| ) |  |
| inline

Constructor for a Horizon object that represents a constant fractional radius within a layer. Zero represents the bottom of the layer and 1. represents the top of the layer.

Since the layerIndex is specified, the radius will be constrained to be within the specified layer.

Parameters

  fractionalPosition | radius within the Earth, in km.
  lyrIndex | the index of the layer within which the radius will be constrained.

Definition at line 98 of file GeoTessHorizonLayer.h.

## ◆ GeoTessHorizonLayer() [2/2]

geotess::GeoTessHorizonLayer::GeoTessHorizonLayer | ( | GeoTessHorizonLayer & | other | ) |
| inline

Copy constructor.

Definition at line 105 of file GeoTessHorizonLayer.h.

## ◆ ~GeoTessHorizonLayer()

virtual geotess::GeoTessHorizonLayer::~GeoTessHorizonLayer | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 122 of file GeoTessHorizonLayer.h.

## Member Function Documentation

## ◆ class_name()

virtual string geotess::GeoTessHorizonLayer::class_name | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 137 of file GeoTessHorizonLayer.h.

## ◆ getRadius() [1/2]

virtual double geotess::GeoTessHorizonLayer::getRadius | ( | const double * | position,
|  | GeoTessProfile ** | profiles
| ) |  |
| inlinevirtual

Return the radius of the Horizon at the specified geographic position and constrained by the specified array of Profiles, all of which are assumed to reside at the specified position.

Parameters

  position | the unit vector representing the position where the radius is to be determined. This should correspond to the position of the supplied array of Profiles.
  profiles | a 1D array of profiles at the specified position. The number of elements must be equal to the number of layers in the model with the first layer being the deepest (closest to the center of the Earth) and the last layer being the shallowest (farthest from the center of the Earth).

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 126 of file GeoTessHorizonLayer.h.

## ◆ getRadius() [2/2]

virtual double geotess::GeoTessHorizonLayer::getRadius | ( | GeoTessPosition & | position | ) |
| inlinevirtual

Return the radius of the Horizon at the position of the specified GeoTessPosition object.

Parameters

  position |

Returns
  the radius of the Horizon at the specified position and perhaps constrained to reside in the specified layer. Units are km.

Exceptions

  GeoTessException |

Reimplemented from geotess::GeoTessHorizon.

Definition at line 139 of file GeoTessHorizonLayer.h.

## ◆ getValue()

virtual double geotess::GeoTessHorizonLayer::getValue | ( |  | ) |
| inlinevirtual

HorizonDepth objects return depth, HorizonRadius object return radius, and HorizonLayer object return fraction.

Reimplemented from geotess::GeoTessHorizon.

Definition at line 124 of file GeoTessHorizonLayer.h.

## ◆ operator=()

GeoTessHorizonLayer& geotess::GeoTessHorizonLayer::operator= | ( | const GeoTessHorizonLayer & | other | ) |
| inline

Overloaded assignment operator

Definition at line 112 of file GeoTessHorizonLayer.h.

## ◆ str()

virtual string geotess::GeoTessHorizonLayer::str | ( |  | ) |
| inlinevirtual

Reimplemented from geotess::GeoTessHorizon.

Definition at line 150 of file GeoTessHorizonLayer.h.

The documentation for this class was generated from the following file:

- rstt/GeoTessCPP/include/GeoTessHorizonLayer.h